Public Member Functions | Public Attributes | Private Member Functions | List of all members
libepubgen::EPUBPagedGenerator::Impl Class Reference
Inheritance diagram for libepubgen::EPUBPagedGenerator::Impl:

## Public Member Functions
| Impl (EPUBPackage *const package, int version)
Public Member Functions inherited from libepubgen::EPUBGenerator
| EPUBGenerator (EPUBPackage *package, int version)
virtual | ~EPUBGenerator ()
void | startDocument (const librevenge::RVNGPropertyList &props)
void | endDocument ()
void | setDocumentMetaData (const librevenge::RVNGPropertyList &props)
void | startNewHtmlFile ()
const EPUBHTMLGeneratorPtr_t & | getHtml () const
EPUBHTMLManager & | getHtmlManager ()
const EPUBSplitGuard & | getSplitGuard () const
EPUBSplitGuard & | getSplitGuard ()
int | getVersion () const
void | setSplitMethod (EPUBSplitMethod splitMethod)
void | setStylesMethod (EPUBStylesMethod stylesMethod)
void | setLayoutMethod (EPUBLayoutMethod layoutMethod)

## Public Attributes
bool | m_firstPage

## Private Member Functions
| Impl (const Impl &)
Impl & | operator= (const Impl &)
void | startHtmlFile () override
void | endHtmlFile () override

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

libepubgen::EPUBPagedGenerator::Impl::Impl | ( | const Impl & |  | ) |
| private

## ◆ Impl() [2/2]

libepubgen::EPUBPagedGenerator::Impl::Impl | ( | EPUBPackage *const | package,
|  | int | version
| ) |  |

## Member Function Documentation

## ◆ endHtmlFile()

void libepubgen::EPUBPagedGenerator::Impl::endHtmlFile | ( |  | ) |
| override private virtual

Implements libepubgen::EPUBGenerator.

## ◆ operator=()

Impl& libepubgen::EPUBPagedGenerator::Impl::operator= | ( | const Impl & |  | ) |
| private

## ◆ startHtmlFile()

void libepubgen::EPUBPagedGenerator::Impl::startHtmlFile | ( |  | ) |
| override private virtual

Implements libepubgen::EPUBGenerator.

## Member Data Documentation

## ◆ m_firstPage

bool libepubgen::EPUBPagedGenerator::Impl::m_firstPage

The documentation for this class was generated from the following file:

- EPUBPagedGenerator.cpp